package com.hssx.bms.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.hssx.bms.entity.BookCategory;
import com.hssx.bms.entity.BookPage;
import com.hssx.bms.mapper.BookCategoryMapper;
import com.hssx.bms.mapper.BookPageMapper;
import com.hssx.bms.service.BookPageService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hssx.bms.until.HttpRespMsg;
import com.hssx.bms.until.UploadFileToFileNameUtil;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-10-16
 */
@Service
public class BookPageServiceImpl extends ServiceImpl<BookPageMapper, BookPage> implements BookPageService {
    @Value("${upload.path}")
    private String path;
    @Resource
    private BookCategoryMapper bookCategoryMapper;
    @Resource
    private BookPageMapper bookPageMapper;
    @Override
    public HttpRespMsg addBookPage(BookPage bookPage, MultipartFile[] file) {
        HttpRespMsg msg = new HttpRespMsg();
        for (MultipartFile multipartFile : file) {
            Integer count = bookPageMapper.selectCount(new QueryWrapper<BookPage>().eq("book_id", bookPage.getBookId()));
            String fileName = UploadFileToFileNameUtil.uploadFile(multipartFile, path);
            bookPage.setFile(fileName);
            bookPage.setPageNum(count+1);
            bookPageMapper.insert(bookPage);
        }
        return msg;
    }

    @Override
    public HttpRespMsg getBookPageList(BookPage bookPage) {
        HttpRespMsg msg = new HttpRespMsg();
        List<BookPage> list = bookPageMapper.selectList(new QueryWrapper<BookPage>().eq("book_id", bookPage.getBookId()).orderByAsc("page_num"));
        msg.data = list;
        return msg;
    }
}
