import Login from './views/Login.vue'
import NotFound from './views/404.vue'
import Home from './views/Home.vue'
import message from './views/message.vue'
import invite from './views/invite.vue'

import map from './views/map/map.vue'

import detection from './views/detection/detection.vue'
import maintenance from './views/detection/maintenance.vue'

import project from './views/project/project.vue'
import projectDetail from './views/project/projectDetail.vue'
import staff from './views/project/staff.vue'
import competence from './views/project/competence.vue'

import moldList from './views/mold/moldList.vue'
import moldDetail from './views/mold/moldDetail.vue'
import moldDownload from './views/mold/moldDownload.vue'

import comp from './views/base/comp.vue'
import factory from './views/base/factory.vue'
import allocation from './views/base/allocation.vue'

import agency from './views/agency/agencyList.vue'
import agencyDetail from './views/agency/agencyDetail.vue'

import book from './views/book/bookList.vue'
import bookDetail from './views/book/bookDetail.vue'

import user from './views/user/user.vue'
import reserve from './views/user/reserve.vue'

import manage from './views/system/manage.vue'
import vip from './views/system/vip.vue'

let routes = [
    {
        path: '/login',
        component: Login,
        name: '',
        hidden: true
    },
    //培训机构
    {
        path: '/',
        component: Home,
        name: '',
        iconCls: 'iconfont iconpeixunjigou',
        leaf: true,//只有一个节点
        children: [
            { path: '/agency', component: agency, name: '培训机构' },
            { path: '/agency/:id', component: agencyDetail, name: '机构详情', hidden: true }
        ]
    },
    //课程管理
    {
        path: '/',
        component: Home,
        name: '',
        iconCls: 'iconfont iconkecheng',
        leaf: true,//只有一个节点
        children: [
            { path: '/book', component: book, name: '课程管理' },
            { path: '/book/:id', component: bookDetail, name: '课程详情', hidden: true }
        ]
    },
    //图书管理
    {
        path: '/',
        component: Home,
        name: '',
        iconCls: 'iconfont iconic_local_library_px',
        leaf: true,//只有一个节点
        children: [
            { path: '/book', component: book, name: '图书管理' },
            { path: '/book/:id', component: bookDetail, name: '图书详情', hidden: true }
        ]
    },
    //用户管理
    {
        path: '/',
        component: Home,
        name: '用户管理',
        iconCls: 'iconfont iconyonghu',
        children: [
            { path: '/user', component: user, name: '用户列表' },
            { path: '/reserve', component: reserve, name: '预约用户' }
        ]
    },
    //系统管理
    {
        path: '/',
        component: Home,
        name: '系统管理',
        iconCls: 'iconfont iconsetting-fill',
        children: [
            { path: '/manage', component: manage, name: '机构管理' },
            { path: '/vip', component: vip, name: '会员设置' }
        ]
    },
    //地图概览
    {
        path: '/',
        component: Home,
        name: '',
        iconCls: 'iconfont icon-ditu',
        leaf: true,//只有一个节点
        children: [
            { path: '/map', component: map, name: '地图概览' },
            { path: '/message', component: message, name: '消息中心', hidden: true }
        ]
    },
    //运行监测
    {
        path: '/',
        component: Home,
        name: '',
        iconCls: 'iconfont icon-jiance',
        leaf: true,//只有一个节点
        children: [
            { path: '/detection', component: detection, name: '运行检测' },
            { path: '/detection/:id', component: maintenance, name: '运行检测详情', hidden: true }
        ]
    },
    //项目管理
    {
        path: '/',
        component: Home,
        name: '项目管理',
        iconCls: 'iconfont icon-ic_dashboard',
        children: [
            { path: '/project', component: project, name: '项目列表' },
            { path: '/project/:id', component: projectDetail, name: '项目详情', hidden: true },
            { path: '/staff', component: staff, name: '人员管理' },
            { path: '/competence', component: competence, name: '权限管理' }
        ]
    },
    //模具管理
    {
        path: '/',
        component: Home,
        name: '模具管理',
        iconCls: 'iconfont icon-moxing',
        children: [
            { path: '/moldList', component: moldList, name: '模具列表' },
            { path: '/moldList/:id/:type', component: moldDetail, name: '模具详情', hidden: true },
            { path: '/moldDownload', component: moldDownload, name: '文档下载' }
        ]
    },
    //基础管理
    {
        path: '/',
        component: Home,
        name: '基础管理',
        iconCls: 'iconfont icon-setting-fill',
        children: [
            { path: '/comp', component: comp, name: '资产方管理' },
            { path: '/factory', component: factory, name: '生产方管理' },
            { path: '/allocation', component: allocation, name: '云模盒管理' }
        ]
    },
    //邀请
    {
        path: '/invite/:inviteeId/:projectId/:operatorId',
        component: invite,
        name: '邀请',
        hidden: true
    },
    {
        path: '/404',
        component: NotFound,
        name: '',
        hidden: true
    },
    {
        path: '*',
        hidden: true,
        redirect: { path: '/404' }
    }
];

export default routes;
